Bug 146798 - Eject does not work after kernel update to 2.6.10-1.9_FC2
Eject does not work after kernel update to 2.6.10-1.9_FC2
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: eject (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-01 12:49 EST by Péter, Soós
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-24 07:23:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Péter, Soós 2005-02-01 12:49:46 EST
Description of problem:
Eject does not work after kernel update to 2.6.10. There is a message
appears in the kernel log:
program eject is using a deprecated SCSI ioctl, please convert it to SG_IO

Version-Release number of selected component (if applicable):
eject-2.0.13-5

How reproducible:
always

Steps to Reproduce:
1. update your kernel to 2.6.10-1.9_FC2
2. try to use eject
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ngo Than 2005-02-02 04:52:40 EST
could you please try to update to eject-2.0.13-13, which is included
in FC3. Does it work for you?
Comment 2 Péter, Soós 2005-02-02 11:44:36 EST
Yes, I can try it, but today eject-2.0.13-5 works fine on my machine.
Strange...
Comment 3 Matthew Miller 2005-04-26 11:38:35 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 Ngo Than 2005-08-24 07:23:33 EDT
it should be fixed in eject-2.1.1 

Note You need to log in before you can comment on or make changes to this bug.